[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#695471: unblock: bootchart2/0.14.4-2



Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Hello RT,
I just uploaded bootchart2/0.14.4-2 to unstable. This upload fixes RC bug
#694403 -- the package shipped a systemd unit, but no "classic" initscript.

I'm attaching a git diff -- please note that this is a particular initscript,
since starting it effectively *stops* the daemon -- and that's why it's
started after all the other services (i.e. stop collecting boot info as soon as
all other initscripts did their job).

  unblock bootchart2/0.14.4-2

Thanks,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
diff --git a/debian/bootchart2.bootchart-done.init b/debian/bootchart2.bootchart-done.init
new file mode 100644
index 0000000..da3f590
--- /dev/null
+++ b/debian/bootchart2.bootchart-done.init
@@ -0,0 +1,58 @@
+#! /bin/sh
+
+### BEGIN INIT INFO
+# Provides:          bootchart2
+# Required-Start:    $remote_fs $all
+# Required-Stop:
+# Default-Start:     1 2 3 4 5
+# Default-Stop:
+# Short-Description: Stop bootchartd
+# Description:       This script stops the bootchartd daemon after the
+#                    system booted.
+### END INIT INFO
+
+# Author: David Paleino <dapal@debian.org>
+
+# Do NOT "set -e"
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="boot process analyser"
+NAME=bootchartd
+DAEMON=/sbin/$NAME
+DAEMON_ARGS=""
+PIDFILE=/var/run/$NAME.pid
+SCRIPTNAME=/etc/init.d/bootchart2
+
+# Exit if the package is not installed
+[ -x "$DAEMON" ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/bootchartd.conf ] && . /etc/bootchartd.conf
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+case "$1" in
+  start)
+	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+	$DAEMON stop
+	case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+	;;
+  stop|restart|force-reload)
+	# do nothing
+	;;
+  *)
+	echo "Usage: $SCRIPTNAME start" >&2
+	exit 3
+	;;
+esac
+
+:
diff --git a/debian/changelog b/debian/changelog
index 9876687..a769a35 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+bootchart2 (0.14.4-2) unstable; urgency=low
+
+  * Acknowledge NMU.
+  * Provide also an initscript (Closes: #694403)
+
+ -- David Paleino <dapal@debian.org>  Sat, 08 Dec 2012 19:35:08 +0100
+
 bootchart2 (0.14.4-1.1) unstable; urgency=low
 
   * Non-maintainer upload.
diff --git a/debian/rules b/debian/rules
index 0b97af1..158f0dc 100755
--- a/debian/rules
+++ b/debian/rules
@@ -13,3 +13,8 @@ override_dh_installchangelogs:
 
 override_dh_auto_test:
 
+override_dh_installinit:
+	dh_installinit \
+		--name=bootchart-done \
+		--no-start \
+		--update-rcd-params="start 99 1 2 3 4 5 6 . stop 99 0 ."

Attachment: signature.asc
Description: PGP signature


Reply to: